get
https://api.connex.trade/api/v1/broker/archive/collectionRecord
Query the detailed markup data, including the rebate ratio snapshot and rebate amount for each collection record. Retrieve historical markup records from 7 to 90 days ago.
Permission
- Applies to primary user's API Key only
- Permission: READ.
Rate Limit
- to be confirmed
Request Parameters
| Field | Type | Mandatory | Remark |
|---|---|---|---|
| exchange | String | N | Exchange type, like BINANCE , OKX .. |
| instType | String | N | Business type, like SPOT, PERP ... |
| coin | String | N | Coin currency, like BTC, USDT... |
| subPortfolioId | String | N | subPortfolioId |
| sym | String | N | Trading pair unique identifier |
| begin | String | N | Start time of the query window. If not specified, the default is to query data from up to 90 days ago. |
| end | String | N | End time of the query window. If not specified, the current time is used. |
| page | String | N | Current page, default is 1 |
| pageSize | String | N | Page size(Default 1000, max 1000) |
Response
| Field | Type | Remark |
|---|---|---|
| userId | String | User id |
| portfolioId | String | Portfolio id |
| subPortfolioId | String | Sub portfolio id |
| exchangeType | String | Exchange type |
| businessType | String | Business type |
| transactionId | String | Transaction id |
| coin | String | Trading fee coin name |
| sym | String | Trading pair unique identifier |
| feePrice | String | Trading Fee USDT Value |
| amount | String | Trading fee coin amount |
| rebateRatio | String | Rebate ratio snapshot read at settlement time, 4 decimal places. |
| rebateAmount | String | Actual rebate amount for this collection record, 8 decimal places, truncated without rounding. |
| status | String | NEW, COMPLETED |
| createAt | String | Create time |
Example Response
{
"code": 200000,
"message": "Success",
"data": {
"page": 1,
"pageSize": 50,
"pageNum": 1,
"totalSize": 48,
"list": [
{
"id": "626",
"userId": "1234",
"portfolioId": "123456789",
"exchangeType": "BINANCE",
"businessType": "PERP",
"transactionId": "123456789",
"statementFlowType": "BROKER_IN_FROM_USER",
"coin": "USDT",
"sym": "BINANCE_PERP_BTC_USDT",
"feePrice": "0.12634846",
"amount": "0.00724632",
"createAt": "1721713990284",
"updateAt": "1721713990284"
},
{
"id": "627",
"userId": "1234",
"portfolioId": "123456798",
"exchangeType": "BINANCE",
"businessType": "PERP",
"transactionId": "123456798",
"statementFlowType": "BROKER_OUT_TO_SYSTEM",
"coin": "USDT",
"sym": "BINANCE_PERP_BTC_USDT",
"feePrice": "0.01554826",
"amount": "-0.00652821",
"createAt": "1721713990284",
"updateAt": "1721713990284"
}
]
}
}
